
*Set Var oflagElmIDMerge=1
*If(GenData(Show_Surface_Loads_In_Post-Processor,Int)==0)
*Set Var oflagElmIDMerge=0
*EndIf

*Set Cond Chlorides_for_Surface *elems *CanRepeat 
*If(CondNumEntities(Int)>0)
*Set Var nLoadCND3D=CondNumEntities(Int)
// selection has *CondNumEntities entities

*loop elems *OnlyInCond
*If(Cond(Apply_in_Subincrement,int)==ApplyInSubincrement)
*include ..\include.src.bas\CurrentElementGroupID.bas
*#
*Set Var oflagElmIDMerge=1

Load CHLORIDES group *groupID *tcl(TK_ElementNum *oflagElmIDMerge *ElemsNum)
*If(strcmp(Cond(Activate_Total_Function),"NO")!=0)
*Set Var oMujMat=tcl(TK_FindMaterialNumber *Cond(TOTAL_FUNCTION_MAT) "Chlorides_for")
   TIME_FNC_ID *Operation(25250000+oMujMat)
*Endif
   D_REF *Cond(D_REF,Real)
   TIME_D_REF *Cond(TIME_D_REF,Real)
   M_COEFF *Cond(M_COEFF,Real) 
   TIME_M_COEFF *Cond(TIME_M_COEFF,Real)
   CS *Cond(CS,Real)
   CL_CRIT *Cond(CL_CRIT,Real)
   CONCRETE_COVER *Cond(CONCRETE_COVER,Real)
   MAX_REINF_DEPTH *Cond(MAX_REINF_DEPTH,Real) 
   F_T_CH *Cond(F_T_CH,Real)
   DX_CORR_DT_SPALLING *Cond(DX_CORR_DT_SPALLING,Real)
   R_CORR *Cond(R_CORR,Real)
   CEMENT_MASS *Cond(CEMENT_MASS,Real)
   T_AVER_OFFSET *Cond(T_AVER_OFFSET,Real)
*If(Cond(View_Advanced_durability_parameters,int)==1)
   A1 *Cond(A1,Real)
   A2 *Cond(A2,Real)
   A3 *Cond(A3,Real)
   W_D *Cond(W_D,Real)
   B *Cond(B,Real)
   MAX_CORR_DT *Cond(MAX_CORR_DT,Real)
   PSI *Cond(PSI,Real)
*EndIf    
   MERGE
   MERGE_STRING "*Cond(Boundary)Num*Cond(Entity_number,Int)"
*If(Cond(Immediate_update_corrosion,int)==1)
   IMMEDIATE_UPDATE_CORROSION_ON
*EndIf   
   NODES *\
*Format "%i%i%i%s%i%i"
 "$N$I*IntervalIndex *ElemsType *ElemsNnode *Cond(Boundary)Num*Cond(Entity_number,Int) ElemNum*ElemsNum" *\
*#Cond(Boundary) *\
*#tcl(TK_BoundaryMerge *oflagElmIDMerge) 

*EndIf
*End elems
*EndIf
